<template>
	<v-card>
		<v-toolbar color="grey lighten-2" flat>
			<!-- <v-btn icon @click="progressDialogIsVisible = false">
						<v-icon>mdi-close</v-icon>
					</v-btn> -->
			<v-toolbar-title>Samplings</v-toolbar-title>
			<v-spacer></v-spacer>
			<v-toolbar-items>
				<!-- <v-btn dark text @click="progressDialogIsVisible = false">
							Save
						</v-btn> -->
			</v-toolbar-items>
		</v-toolbar>
		<v-divider />
		<v-card-text style="max-height: 80vh">
			<v-list>
				<v-list-item v-for="[locationId, sampling] in Object.entries(samplingsByLocation)" :key="sampling.id">
					<v-list-item-content>
						<v-list-item-title>
							Location
							{{ locationsById[locationId].properties.label }}
						</v-list-item-title>
						<v-list-item-subtitle>
							<v-chip v-for="s in samplesByLocation[locationId]" :key="s.id" class="ml-1">
								{{ s.soDepth.minValue.value }} - {{ s.soDepth.maxValue.value }} cm
							</v-chip>
						</v-list-item-subtitle>
					</v-list-item-content>
				</v-list-item>
			</v-list>
		</v-card-text>
		<v-divider />
		<v-card-actions class="d-flex flex-wrap justify-end">
			<v-menu v-model="exportMenuIsVisible" offset-y rounded>
				<template v-slot:activator="{ on, attrs }">
					<v-btn rounded outlined color="primary" class="ml-2 my-1" v-bind="attrs" v-on="on">
						<v-icon class="mr-1">mdi-download</v-icon>
						Export
					</v-btn>
				</template>
				<v-list dense>
					<v-list-item @click="$emit('exportSamplingCollection', 'json')">
						<v-btn text rounded>Raw JSON</v-btn>
					</v-list-item>
					<v-list-item @click="$emit('exportSamplingCollection', 'csv')">
						<v-btn text rounded>Raw CSV</v-btn>
					</v-list-item>
					<v-list-item @click="$emit('downloadLabInventory')">
						<v-btn text rounded>Lab Inventory</v-btn>
					</v-list-item>
				</v-list>
			</v-menu>
			<v-btn text rounded @click="$emit('closeDialog')"> Close </v-btn>
		</v-card-actions>
	</v-card>
</template>

<script lang="ts">
import { defineComponent, ref } from '@vue/composition-api';
import { Sample, Sampling, Location as SLocation } from '@/store/types';

export default defineComponent({
	props: {
		samplesByLocation: {
			type: Object as () => { [key: string]: Sample },
			required: true,
		},
		samplingsByLocation: {
			type: Object as () => { [key: string]: Sampling },
			required: true,
		},
		locationsById: {
			type: Object as () => { [key: string]: SLocation },
			required: true,
		},
	},
	setup() {
		const exportMenuIsVisible = ref(false);
		return {
			exportMenuIsVisible,
		};
	},
});
</script>

<style></style>
